Bug 78030 - New port: net/p5-IP-Country - Perl module to lookup country codes from IP addresses
Summary: New port: net/p5-IP-Country - Perl module to lookup country codes from IP add...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florent Thoumie
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-24 16:10 UTC by Tim Buck
Modified: 2005-06-25 12:53 UTC (History)
0 users

See Also:


Attachments
file.shar (3.31 KB, text/plain)
2005-02-24 16:10 UTC, Tim Buck
no flags Details
p5-IP-Country.txt (3.19 KB, text/plain; charset=us-ascii)
2005-06-17 14:49 UTC, dikshie
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Buck 2005-02-24 16:10:24 UTC
Port for Nigel Wetters Gourlay's <nwetters@gmail.com> Perl IP::Country module to do "fast lookup of country codes from IP addresses"

How-To-Repeat: n/a
Comment 1 Erwin Lansing freebsd_committer 2005-02-25 11:20:08 UTC
State Changed
From-To: open->closed
Comment 2 Erwin Lansing freebsd_committer 2005-02-25 11:27:35 UTC
State Changed
From-To: closed->open

Reopen, this should never have been closed. 

I found several issues with this port: 
Please run devel/portlint to test your port: 
WARN: /usr/ports/net/p5-IP-Country/pkg-plist [17]: use "%D" or "%B" to specify p 
refix. 
WARN: Makefile [22]: use tab (not space) to make indentation 

Further more the distfile cannot be found at the SUBDIR in the Makefile. 
I found it at 
MASTER_SITE_SUBDIR=     ../../authors/id/N/NW/NWETTERS 

Last, it is missing a required module it depends on: 
Warning: prerequisite Geography::Countries 1.3 not found at (eval 2) line 219.
Comment 3 Tim Buck 2005-02-25 17:15:47 UTC
 >Description:
Port for Nigel Wetters Gourlay's <nwetters@gmail.com> Perl IP::Country  
module to do "fast lookup of country codes from IP addresses"

===== Added Fri Feb 2005 18:14:00 GMT 2005
Actually, I did use devel/portlint, but I failed to use the "-N" option  
for a new port.

This time I did:

# pwd
/usr/ports/net/p5-IP-Country
# portlint -N
looks fine.

 >Fix:
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       p5-IP-Country
#       p5-IP-Country/pkg-plist
#       p5-IP-Country/pkg-descr
#       p5-IP-Country/distinfo
#       p5-IP-Country/Makefile
#
echo c - p5-IP-Country
mkdir -p p5-IP-Country > /dev/null 2>&1
echo x - p5-IP-Country/pkg-plist
sed 's/^X//' >p5-IP-Country/pkg-plist <<  
'END-of-p5-IP-Country/pkg-plist'
X%%SITE_PERL%%/IP/Authority.pm
X%%SITE_PERL%%/IP/Country.pm
X%%SITE_PERL%%/IP/Authority/ipauth.gif
X%%SITE_PERL%%/IP/Authority/auth.gif
X%%SITE_PERL%%/IP/Country/Fast.pm
X%%SITE_PERL%%/IP/Country/MaxMind.pm
X%%SITE_PERL%%/IP/Country/Medium.pm
X%%SITE_PERL%%/IP/Country/Slow.pm
X%%SITE_PERL%%/IP/Country/Fast/cc.gif
X%%SITE_PERL%%/IP/Country/Fast/ip.gif
Xbin/ip2cc
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/IP/Country/.packlist
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/IP/Country
X@dirrm %%SITE_PERL%%/IP/Country/Fast
X@dirrm %%SITE_PERL%%/IP/Country
X@dirrm %%SITE_PERL%%/IP/Authority
X@unexec rmdir %%SITE_PERL%%/IP 2>/dev/null || true
END-of-p5-IP-Country/pkg-plist
echo x - p5-IP-Country/pkg-descr
sed 's/^X//' >p5-IP-Country/pkg-descr <<  
'END-of-p5-IP-Country/pkg-descr'
XFinding the home country of a client using only the IP address can be
Xdifficult. Looking up the domain name associated with that address can
Xprovide some help, but many IP address are not reverse mapped to any  
useful
Xdomain, and the most common domain (.com) offers no help when looking  
for
Xcountry.
X
XThis module comes bundled with a database of countries where various IP
Xaddresses have been assigned. Although the country of assignment will  
probably
Xbe the country associated with a large ISP rather than the client  
herself,
Xthis is probably good enough for most log analysis applications, and  
under
Xtest has proved to be as accurate as reverse-DNS and WHOIS lookup. This
Xmodule was written by Nigel Wetters Gourlay <nwetters@cpan.org>.
X
X__top
XWWW: http://search.cpan.org/dist/IP-Country/
X
X- Tim
Xtbuck@rrinc.com
END-of-p5-IP-Country/pkg-descr
echo x - p5-IP-Country/distinfo
sed 's/^X//' >p5-IP-Country/distinfo << 'END-of-p5-IP-Country/distinfo'
XMD5 (IP-Country-2.18.tar.gz) = 9fc08c51555f2e81b042ca749af0eee8
XSIZE (IP-Country-2.18.tar.gz) = 141905
END-of-p5-IP-Country/distinfo
echo x - p5-IP-Country/Makefile
sed 's/^X//' >p5-IP-Country/Makefile << 'END-of-p5-IP-Country/Makefile'
X# New ports collection makefile for:   p5-IP-Country
X# Date created:                                23 February 2005
X# Whom:                                        Tim Buck  
<tbuck@rrinc.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=      IP-Country
XPORTVERSION=   2.18
XCATEGORIES=    net perl5
XMASTER_SITES=   ${MASTER_SITE_PERL_CPAN}
XMASTER_SITE_SUBDIR=     ../by-authors/id/N/NW/NWETTERS
XPKGNAMEPREFIX=  p5-
X
XMAINTAINER=    tbuck@rrinc.com
XCOMMENT=       Perl extension for fast lookup of country codes from IP  
addresses
X
XBUILD_DEPENDS=  
${SITE_PERL}/Geography/Countries.pm:${PORTSDIR}/net/p5-Geography- 
Countries
XRUN_DEPENDS=   ${BUILD_DEPENDS}
X
XPERL_CONFIGURE=        yes
X
XMAN1=          ip2cc.1
XMAN3=          IP::Authority.3 \
X               IP::Country::Fast.3 \
X               IP::Country::Medium.3 \
X               IP::Country::MaxMind.3 \
X               IP::Country::Slow.3 \
X               IP::Country.3
X
X.include <bsd.port.mk>
END-of-p5-IP-Country/Makefile
exit
Comment 4 Florent Thoumie freebsd_committer 2005-03-14 12:42:50 UTC
State Changed
From-To: open->feedback

net/p5-Geography-Countries doesn't exist in the ports tree.
Comment 5 Florent Thoumie freebsd_committer 2005-06-01 20:04:01 UTC
State Changed
From-To: feedback->closed

Submitter timeout. 
This port depends on a port that is not in our Ports Collection. 

I'll reopen the PR if I receive news from the submitter. 


Comment 6 Florent Thoumie freebsd_committer 2005-06-01 20:04:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flz

Take replies.
Comment 7 dikshie 2005-06-17 14:49:34 UTC
Since p5-Geography-Countries as p5-IP-Country's dependencies
has been commited to ports/misc/

Herewith I attached my proposal for p5-IP-Country


with best regards.

-dikshie-  
Comment 8 Florent Thoumie freebsd_committer 2005-06-17 15:03:30 UTC
State Changed
From-To: closed->open

Re-open, I'll take care of it.
Comment 9 Florent Thoumie freebsd_committer 2005-06-25 12:53:30 UTC
State Changed
From-To: open->closed

Committed, thanks!